package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用友物料管理对象 act_supplies
 *
 * @author ruoyi
 * @date 2023-07-11
 */
public class ActSupplies extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 物料ID
     */
    private Long id;

    /**
     * 物料ID
     */
    private Long level;

    /**
     * 一级编码
     */
    @Excel(name = "一级编码")
    private String oneLevel;

    /**
     * 二级编码
     */
    @Excel(name = "二级编码")
    private String twoLevel;

    /**
     * 三级编码
     */
    @Excel(name = "三级编码")
    private String threeLevel;



    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    private String suppliesName;

    private Long orderNum;

    /**
     * 状态
     */
    @Excel(name = "状态", readConverterExp = "0=启用,1=禁用")
    private Integer status;

    /**
     * 物料编码
     */
    @Excel(name = "物料编码")
    private String code;

    private String codeColumn;


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodeColumn() {
        return codeColumn;
    }

    public void setCodeColumn(String codeColumn) {
        this.codeColumn = codeColumn;
    }

    public Long getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Long orderNum) {
        this.orderNum = orderNum;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getLevel() {
        return level;
    }

    public void setLevel(Long level) {
        this.level = level;
    }

    public String getOneLevel() {
        return oneLevel;
    }

    public void setOneLevel(String oneLevel) {
        this.oneLevel = oneLevel;
    }

    public String getTwoLevel() {
        return twoLevel;
    }

    public void setTwoLevel(String twoLevel) {
        this.twoLevel = twoLevel;
    }

    public String getThreeLevel() {
        return threeLevel;
    }

    public void setThreeLevel(String threeLevel) {
        this.threeLevel = threeLevel;
    }

    public String getSuppliesName() {
        return suppliesName;
    }

    public void setSuppliesName(String suppliesName) {
        this.suppliesName = suppliesName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("oneLevel", getOneLevel())
                .append("twoLevel", getTwoLevel())
                .append("level", getLevel())
                .append("threeLevel", getThreeLevel())
                .append("suppliesName", getSuppliesName())
                .append("status", getStatus())
                .append("codeColumn", getCodeColumn())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }


}
